import pandas as pd
from pandaspro.core.frame import FramePro
import numpy as np

# Countries
countries = ["USA", "China", "Japan", "Germany", "India", "UK", "France", "Brazil", "Canada"]
gdp = [11.43, 14.59, 12.45, 11.35, 9.05, 13.27, 9.31, 17.94, 8.29]
population = [1110.5, 745.2, 799.6, 1296.6, 108.7, 131.1, 38.1, 1167.3, 1219.3]
sysuse_countries = pd.DataFrame({
    'country': countries,
    'gdp_t': gdp,
    'pop_m': population,
})

# Auto
data = [
    {
        "make": "AMC Concord",
        "price": 4099,
        "mpg": 22,
        "rep78": 3.0,
        "headroom": 2.5,
        "trunk": 11,
        "weight": 2930,
        "length": 186,
        "turn": 40,
        "displacement": 121,
        "gear_ratio": 3.5799999,
        "foreign": "Domestic",
    },
    {
        "make": "AMC Pacer",
        "price": 4749,
        "mpg": 17,
        "rep78": 3.0,
        "headroom": 3.0,
        "trunk": 11,
        "weight": 3350,
        "length": 173,
        "turn": 40,
        "displacement": 258,
        "gear_ratio": 2.53,
        "foreign": "Domestic",
    },
    {
        "make": "AMC Spirit",
        "price": 3799,
        "mpg": 22,
        "rep78": np.nan,
        "headroom": 3.0,
        "trunk": 12,
        "weight": 2640,
        "length": 168,
        "turn": 35,
        "displacement": 121,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Century",
        "price": 4816,
        "mpg": 20,
        "rep78": 3.0,
        "headroom": 4.5,
        "trunk": 16,
        "weight": 3250,
        "length": 196,
        "turn": 40,
        "displacement": 196,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Electra",
        "price": 7827,
        "mpg": 15,
        "rep78": 4.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 4080,
        "length": 222,
        "turn": 43,
        "displacement": 350,
        "gear_ratio": 2.4100001,
        "foreign": "Domestic",
    },
    {
        "make": "Buick LeSabre",
        "price": 5788,
        "mpg": 18,
        "rep78": 3.0,
        "headroom": 4.0,
        "trunk": 21,
        "weight": 3670,
        "length": 218,
        "turn": 43,
        "displacement": 231,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Opel",
        "price": 4453,
        "mpg": 26,
        "rep78": np.nan,
        "headroom": 3.0,
        "trunk": 10,
        "weight": 2230,
        "length": 170,
        "turn": 34,
        "displacement": 304,
        "gear_ratio": 2.8699999,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Regal",
        "price": 5189,
        "mpg": 20,
        "rep78": 3.0,
        "headroom": 2.0,
        "trunk": 16,
        "weight": 3280,
        "length": 200,
        "turn": 42,
        "displacement": 196,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Riviera",
        "price": 10372,
        "mpg": 16,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 17,
        "weight": 3880,
        "length": 207,
        "turn": 43,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Buick Skylark",
        "price": 4082,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 13,
        "weight": 3400,
        "length": 200,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Cad. Deville",
        "price": 11385,
        "mpg": 14,
        "rep78": 3.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 4330,
        "length": 221,
        "turn": 44,
        "displacement": 425,
        "gear_ratio": 2.28,
        "foreign": "Domestic",
    },
    {
        "make": "Cad. Eldorado",
        "price": 14500,
        "mpg": 14,
        "rep78": 2.0,
        "headroom": 3.5,
        "trunk": 16,
        "weight": 3900,
        "length": 204,
        "turn": 43,
        "displacement": 350,
        "gear_ratio": 2.1900001,
        "foreign": "Domestic",
    },
    {
        "make": "Cad. Seville",
        "price": 15906,
        "mpg": 21,
        "rep78": 3.0,
        "headroom": 3.0,
        "trunk": 13,
        "weight": 4290,
        "length": 204,
        "turn": 45,
        "displacement": 350,
        "gear_ratio": 2.24,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Chevette",
        "price": 3299,
        "mpg": 29,
        "rep78": 3.0,
        "headroom": 2.5,
        "trunk": 9,
        "weight": 2110,
        "length": 163,
        "turn": 34,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Impala",
        "price": 5705,
        "mpg": 16,
        "rep78": 4.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 3690,
        "length": 212,
        "turn": 43,
        "displacement": 250,
        "gear_ratio": 2.5599999,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Malibu",
        "price": 4504,
        "mpg": 22,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 17,
        "weight": 3180,
        "length": 193,
        "turn": 31,
        "displacement": 200,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Monte Carlo",
        "price": 5104,
        "mpg": 22,
        "rep78": 2.0,
        "headroom": 2.0,
        "trunk": 16,
        "weight": 3220,
        "length": 200,
        "turn": 41,
        "displacement": 200,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Monza",
        "price": 3667,
        "mpg": 24,
        "rep78": 2.0,
        "headroom": 2.0,
        "trunk": 7,
        "weight": 2750,
        "length": 179,
        "turn": 40,
        "displacement": 151,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Chev. Nova",
        "price": 3955,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 13,
        "weight": 3430,
        "length": 197,
        "turn": 43,
        "displacement": 250,
        "gear_ratio": 2.5599999,
        "foreign": "Domestic",
    },
    {
        "make": "Dodge Colt",
        "price": 3984,
        "mpg": 30,
        "rep78": 5.0,
        "headroom": 2.0,
        "trunk": 8,
        "weight": 2120,
        "length": 163,
        "turn": 35,
        "displacement": 98,
        "gear_ratio": 3.54,
        "foreign": "Domestic",
    },
    {
        "make": "Dodge Diplomat",
        "price": 4010,
        "mpg": 18,
        "rep78": 2.0,
        "headroom": 4.0,
        "trunk": 17,
        "weight": 3600,
        "length": 206,
        "turn": 46,
        "displacement": 318,
        "gear_ratio": 2.47,
        "foreign": "Domestic",
    },
    {
        "make": "Dodge Magnum",
        "price": 5886,
        "mpg": 16,
        "rep78": 2.0,
        "headroom": 4.0,
        "trunk": 17,
        "weight": 3600,
        "length": 206,
        "turn": 46,
        "displacement": 318,
        "gear_ratio": 2.47,
        "foreign": "Domestic",
    },
    {
        "make": "Dodge St. Regis",
        "price": 6342,
        "mpg": 17,
        "rep78": 2.0,
        "headroom": 4.5,
        "trunk": 21,
        "weight": 3740,
        "length": 220,
        "turn": 46,
        "displacement": 225,
        "gear_ratio": 2.9400001,
        "foreign": "Domestic",
    },
    {
        "make": "Ford Fiesta",
        "price": 4389,
        "mpg": 28,
        "rep78": 4.0,
        "headroom": 1.5,
        "trunk": 9,
        "weight": 1800,
        "length": 147,
        "turn": 33,
        "displacement": 98,
        "gear_ratio": 3.1500001,
        "foreign": "Domestic",
    },
    {
        "make": "Ford Mustang",
        "price": 4187,
        "mpg": 21,
        "rep78": 3.0,
        "headroom": 2.0,
        "trunk": 10,
        "weight": 2650,
        "length": 179,
        "turn": 43,
        "displacement": 140,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Linc. Continental",
        "price": 11497,
        "mpg": 12,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 22,
        "weight": 4840,
        "length": 233,
        "turn": 51,
        "displacement": 400,
        "gear_ratio": 2.47,
        "foreign": "Domestic",
    },
    {
        "make": "Linc. Mark V",
        "price": 13594,
        "mpg": 12,
        "rep78": 3.0,
        "headroom": 2.5,
        "trunk": 18,
        "weight": 4720,
        "length": 230,
        "turn": 48,
        "displacement": 400,
        "gear_ratio": 2.47,
        "foreign": "Domestic",
    },
    {
        "make": "Linc. Versailles",
        "price": 13466,
        "mpg": 14,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 15,
        "weight": 3830,
        "length": 201,
        "turn": 41,
        "displacement": 302,
        "gear_ratio": 2.47,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. Bobcat",
        "price": 3829,
        "mpg": 22,
        "rep78": 4.0,
        "headroom": 3.0,
        "trunk": 9,
        "weight": 2580,
        "length": 169,
        "turn": 39,
        "displacement": 140,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. Cougar",
        "price": 5379,
        "mpg": 14,
        "rep78": 4.0,
        "headroom": 3.5,
        "trunk": 16,
        "weight": 4060,
        "length": 221,
        "turn": 48,
        "displacement": 302,
        "gear_ratio": 2.75,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. Marquis",
        "price": 6165,
        "mpg": 15,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 23,
        "weight": 3720,
        "length": 212,
        "turn": 44,
        "displacement": 302,
        "gear_ratio": 2.26,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. Monarch",
        "price": 4516,
        "mpg": 18,
        "rep78": 3.0,
        "headroom": 3.0,
        "trunk": 15,
        "weight": 3370,
        "length": 198,
        "turn": 41,
        "displacement": 250,
        "gear_ratio": 2.4300001,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. XR-7",
        "price": 6303,
        "mpg": 14,
        "rep78": 4.0,
        "headroom": 3.0,
        "trunk": 16,
        "weight": 4130,
        "length": 217,
        "turn": 45,
        "displacement": 302,
        "gear_ratio": 2.75,
        "foreign": "Domestic",
    },
    {
        "make": "Merc. Zephyr",
        "price": 3291,
        "mpg": 20,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 17,
        "weight": 2830,
        "length": 195,
        "turn": 43,
        "displacement": 140,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Olds 98",
        "price": 8814,
        "mpg": 21,
        "rep78": 4.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 4060,
        "length": 220,
        "turn": 43,
        "displacement": 350,
        "gear_ratio": 2.4100001,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Cutl Supr",
        "price": 5172,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 2.0,
        "trunk": 16,
        "weight": 3310,
        "length": 198,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Cutlass",
        "price": 4733,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 4.5,
        "trunk": 16,
        "weight": 3300,
        "length": 198,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Delta 88",
        "price": 4890,
        "mpg": 18,
        "rep78": 4.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 3690,
        "length": 218,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Omega",
        "price": 4181,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 4.5,
        "trunk": 14,
        "weight": 3370,
        "length": 200,
        "turn": 43,
        "displacement": 231,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Starfire",
        "price": 4195,
        "mpg": 24,
        "rep78": 1.0,
        "headroom": 2.0,
        "trunk": 10,
        "weight": 2730,
        "length": 180,
        "turn": 40,
        "displacement": 151,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Olds Toronado",
        "price": 10371,
        "mpg": 16,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 17,
        "weight": 4030,
        "length": 206,
        "turn": 43,
        "displacement": 350,
        "gear_ratio": 2.4100001,
        "foreign": "Domestic",
    },
    {
        "make": "Plym. Arrow",
        "price": 4647,
        "mpg": 28,
        "rep78": 3.0,
        "headroom": 2.0,
        "trunk": 11,
        "weight": 3260,
        "length": 170,
        "turn": 37,
        "displacement": 156,
        "gear_ratio": 3.05,
        "foreign": "Domestic",
    },
    {
        "make": "Plym. Champ",
        "price": 4425,
        "mpg": 34,
        "rep78": 5.0,
        "headroom": 2.5,
        "trunk": 11,
        "weight": 1800,
        "length": 157,
        "turn": 37,
        "displacement": 86,
        "gear_ratio": 2.97,
        "foreign": "Domestic",
    },
    {
        "make": "Plym. Horizon",
        "price": 4482,
        "mpg": 25,
        "rep78": 3.0,
        "headroom": 4.0,
        "trunk": 17,
        "weight": 2200,
        "length": 165,
        "turn": 36,
        "displacement": 105,
        "gear_ratio": 3.3699999,
        "foreign": "Domestic",
    },
    {
        "make": "Plym. Sapporo",
        "price": 6486,
        "mpg": 26,
        "rep78": np.nan,
        "headroom": 1.5,
        "trunk": 8,
        "weight": 2520,
        "length": 182,
        "turn": 38,
        "displacement": 119,
        "gear_ratio": 3.54,
        "foreign": "Domestic",
    },
    {
        "make": "Plym. Volare",
        "price": 4060,
        "mpg": 18,
        "rep78": 2.0,
        "headroom": 5.0,
        "trunk": 16,
        "weight": 3330,
        "length": 201,
        "turn": 44,
        "displacement": 225,
        "gear_ratio": 3.23,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Catalina",
        "price": 5798,
        "mpg": 18,
        "rep78": 4.0,
        "headroom": 4.0,
        "trunk": 20,
        "weight": 3700,
        "length": 214,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Firebird",
        "price": 4934,
        "mpg": 18,
        "rep78": 1.0,
        "headroom": 1.5,
        "trunk": 7,
        "weight": 3470,
        "length": 198,
        "turn": 42,
        "displacement": 231,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Grand Prix",
        "price": 5222,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 2.0,
        "trunk": 16,
        "weight": 3210,
        "length": 201,
        "turn": 45,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Le Mans",
        "price": 4723,
        "mpg": 19,
        "rep78": 3.0,
        "headroom": 3.5,
        "trunk": 17,
        "weight": 3200,
        "length": 199,
        "turn": 40,
        "displacement": 231,
        "gear_ratio": 2.9300001,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Phoenix",
        "price": 4424,
        "mpg": 19,
        "rep78": np.nan,
        "headroom": 3.5,
        "trunk": 13,
        "weight": 3420,
        "length": 203,
        "turn": 43,
        "displacement": 231,
        "gear_ratio": 3.0799999,
        "foreign": "Domestic",
    },
    {
        "make": "Pont. Sunbird",
        "price": 4172,
        "mpg": 24,
        "rep78": 2.0,
        "headroom": 2.0,
        "trunk": 7,
        "weight": 2690,
        "length": 179,
        "turn": 41,
        "displacement": 151,
        "gear_ratio": 2.73,
        "foreign": "Domestic",
    },
    {
        "make": "Audi 5000",
        "price": 9690,
        "mpg": 17,
        "rep78": 5.0,
        "headroom": 3.0,
        "trunk": 15,
        "weight": 2830,
        "length": 189,
        "turn": 37,
        "displacement": 131,
        "gear_ratio": 3.2,
        "foreign": "Foreign",
    },
    {
        "make": "Audi Fox",
        "price": 6295,
        "mpg": 23,
        "rep78": 3.0,
        "headroom": 2.5,
        "trunk": 11,
        "weight": 2070,
        "length": 174,
        "turn": 36,
        "displacement": 97,
        "gear_ratio": 3.7,
        "foreign": "Foreign",
    },
    {
        "make": "BMW 320i",
        "price": 9735,
        "mpg": 25,
        "rep78": 4.0,
        "headroom": 2.5,
        "trunk": 12,
        "weight": 2650,
        "length": 177,
        "turn": 34,
        "displacement": 121,
        "gear_ratio": 3.6400001,
        "foreign": "Foreign",
    },
    {
        "make": "Datsun 200",
        "price": 6229,
        "mpg": 23,
        "rep78": 4.0,
        "headroom": 1.5,
        "trunk": 6,
        "weight": 2370,
        "length": 170,
        "turn": 35,
        "displacement": 119,
        "gear_ratio": 3.8900001,
        "foreign": "Foreign",
    },
    {
        "make": "Datsun 210",
        "price": 4589,
        "mpg": 35,
        "rep78": 5.0,
        "headroom": 2.0,
        "trunk": 8,
        "weight": 2020,
        "length": 165,
        "turn": 32,
        "displacement": 85,
        "gear_ratio": 3.7,
        "foreign": "Foreign",
    },
    {
        "make": "Datsun 510",
        "price": 5079,
        "mpg": 24,
        "rep78": 4.0,
        "headroom": 2.5,
        "trunk": 8,
        "weight": 2280,
        "length": 170,
        "turn": 34,
        "displacement": 119,
        "gear_ratio": 3.54,
        "foreign": "Foreign",
    },
    {
        "make": "Datsun 810",
        "price": 8129,
        "mpg": 21,
        "rep78": 4.0,
        "headroom": 2.5,
        "trunk": 8,
        "weight": 2750,
        "length": 184,
        "turn": 38,
        "displacement": 146,
        "gear_ratio": 3.55,
        "foreign": "Foreign",
    },
    {
        "make": "Fiat Strada",
        "price": 4296,
        "mpg": 21,
        "rep78": 3.0,
        "headroom": 2.5,
        "trunk": 16,
        "weight": 2130,
        "length": 161,
        "turn": 36,
        "displacement": 105,
        "gear_ratio": 3.3699999,
        "foreign": "Foreign",
    },
    {
        "make": "Honda Accord",
        "price": 5799,
        "mpg": 25,
        "rep78": 5.0,
        "headroom": 3.0,
        "trunk": 10,
        "weight": 2240,
        "length": 172,
        "turn": 36,
        "displacement": 107,
        "gear_ratio": 3.05,
        "foreign": "Foreign",
    },
    {
        "make": "Honda Civic",
        "price": 4499,
        "mpg": 28,
        "rep78": 4.0,
        "headroom": 2.5,
        "trunk": 5,
        "weight": 1760,
        "length": 149,
        "turn": 34,
        "displacement": 91,
        "gear_ratio": 3.3,
        "foreign": "Foreign",
    },
    {
        "make": "Mazda GLC",
        "price": 3995,
        "mpg": 30,
        "rep78": 4.0,
        "headroom": 3.5,
        "trunk": 11,
        "weight": 1980,
        "length": 154,
        "turn": 33,
        "displacement": 86,
        "gear_ratio": 3.73,
        "foreign": "Foreign",
    },
    {
        "make": "Peugeot 604",
        "price": 12990,
        "mpg": 14,
        "rep78": np.nan,
        "headroom": 3.5,
        "trunk": 14,
        "weight": 3420,
        "length": 192,
        "turn": 38,
        "displacement": 163,
        "gear_ratio": 3.5799999,
        "foreign": "Foreign",
    },
    {
        "make": "Renault Le Car",
        "price": 3895,
        "mpg": 26,
        "rep78": 3.0,
        "headroom": 3.0,
        "trunk": 10,
        "weight": 1830,
        "length": 142,
        "turn": 34,
        "displacement": 79,
        "gear_ratio": 3.72,
        "foreign": "Foreign",
    },
    {
        "make": "Subaru",
        "price": 3798,
        "mpg": 35,
        "rep78": 5.0,
        "headroom": 2.5,
        "trunk": 11,
        "weight": 2050,
        "length": 164,
        "turn": 36,
        "displacement": 97,
        "gear_ratio": 3.8099999,
        "foreign": "Foreign",
    },
    {
        "make": "Toyota Celica",
        "price": 5899,
        "mpg": 18,
        "rep78": 5.0,
        "headroom": 2.5,
        "trunk": 14,
        "weight": 2410,
        "length": 174,
        "turn": 36,
        "displacement": 134,
        "gear_ratio": 3.0599999,
        "foreign": "Foreign",
    },
    {
        "make": "Toyota Corolla",
        "price": 3748,
        "mpg": 31,
        "rep78": 5.0,
        "headroom": 3.0,
        "trunk": 9,
        "weight": 2200,
        "length": 165,
        "turn": 35,
        "displacement": 97,
        "gear_ratio": 3.21,
        "foreign": "Foreign",
    },
    {
        "make": "Toyota Corona",
        "price": 5719,
        "mpg": 18,
        "rep78": 5.0,
        "headroom": 2.0,
        "trunk": 11,
        "weight": 2670,
        "length": 175,
        "turn": 36,
        "displacement": 134,
        "gear_ratio": 3.05,
        "foreign": "Foreign",
    },
    {
        "make": "VW Dasher",
        "price": 7140,
        "mpg": 23,
        "rep78": 4.0,
        "headroom": 2.5,
        "trunk": 12,
        "weight": 2160,
        "length": 172,
        "turn": 36,
        "displacement": 97,
        "gear_ratio": 3.74,
        "foreign": "Foreign",
    },
    {
        "make": "VW Diesel",
        "price": 5397,
        "mpg": 41,
        "rep78": 5.0,
        "headroom": 3.0,
        "trunk": 15,
        "weight": 2040,
        "length": 155,
        "turn": 35,
        "displacement": 90,
        "gear_ratio": 3.78,
        "foreign": "Foreign",
    },
    {
        "make": "VW Rabbit",
        "price": 4697,
        "mpg": 25,
        "rep78": 4.0,
        "headroom": 3.0,
        "trunk": 15,
        "weight": 1930,
        "length": 155,
        "turn": 35,
        "displacement": 89,
        "gear_ratio": 3.78,
        "foreign": "Foreign",
    },
    {
        "make": "VW Scirocco",
        "price": 6850,
        "mpg": 25,
        "rep78": 4.0,
        "headroom": 2.0,
        "trunk": 16,
        "weight": 1990,
        "length": 156,
        "turn": 36,
        "displacement": 97,
        "gear_ratio": 3.78,
        "foreign": "Foreign",
    },
    {
        "make": "Volvo 260",
        "price": 11995,
        "mpg": 17,
        "rep78": 5.0,
        "headroom": 2.5,
        "trunk": 14,
        "weight": 3170,
        "length": 193,
        "turn": 37,
        "displacement": 163,
        "gear_ratio": 2.98,
        "foreign": "Foreign",
    },
]
sysuse_auto = FramePro(pd.DataFrame(data))

# World Bank HR Temp
mypivot = {
    "GC": {
        ("Front Offices", "AFWDE"): 2.0,
        ("Front Offices", "AFWVP"): 1.0,
        ("PGs", "EAW"): 6.0,
        ("PGs", "HAW"): 6.0,
        ("PGs", "IAW"): 2.0,
        ("PGs", "SAW"): 5.0,
        ("CMUs", "AFWRI"): 1.0,
        ("CMUs", "Cameroon CMU"): 1.0,
        ("CMUs", "Cote d'Ivoire CMU"): 1.0,
        ("CMUs", "Ghana CMU"): np.nan,
        ("CMUs", "Mali CMU"): 1.0,
        ("CMUs", "Nigeria CMU"): np.nan,
        ("CMUs", "Senegal CMU"): np.nan,
        ("Total", ""): 26.0,
    },
    "GD": {
        ("Front Offices", "AFWDE"): np.nan,
        ("Front Offices", "AFWVP"): 2.0,
        ("PGs", "EAW"): 5.0,
        ("PGs", "HAW"): 6.0,
        ("PGs", "IAW"): 4.0,
        ("PGs", "SAW"): 6.0,
        ("CMUs", "AFWRI"): 1.0,
        ("CMUs", "Cameroon CMU"): np.nan,
        ("CMUs", "Cote d'Ivoire CMU"): np.nan,
        ("CMUs", "Ghana CMU"): 1.0,
        ("CMUs", "Mali CMU"): np.nan,
        ("CMUs", "Nigeria CMU"): np.nan,
        ("CMUs", "Senegal CMU"): 1.0,
        ("Total", ""): 26.0,
    },
    "# ACS Staff": {
        ("Front Offices", "AFWDE"): 2.0,
        ("Front Offices", "AFWVP"): 1.0,
        ("PGs", "EAW"): 10.0,
        ("PGs", "HAW"): 12.0,
        ("PGs", "IAW"): 5.0,
        ("PGs", "SAW"): 10.0,
        ("CMUs", "AFWRI"): 1.0,
        ("CMUs", "Cameroon CMU"): 1.0,
        ("CMUs", "Cote d'Ivoire CMU"): 1.0,
        ("CMUs", "Ghana CMU"): 1.0,
        ("CMUs", "Mali CMU"): 1.0,
        ("CMUs", "Nigeria CMU"): np.nan,
        ("CMUs", "Senegal CMU"): 1.0,
        ("Total", ""): 46.0,
    },
    "# GE+ Staff": {
        ("Front Offices", "AFWDE"): 17.0,
        ("Front Offices", "AFWVP"): 7.0,
        ("PGs", "EAW"): 71.0,
        ("PGs", "HAW"): 79.0,
        ("PGs", "IAW"): 41.0,
        ("PGs", "SAW"): 80.0,
        ("CMUs", "AFWRI"): 8.0,
        ("CMUs", "Cameroon CMU"): 1.0,
        ("CMUs", "Cote d'Ivoire CMU"): 1.0,
        ("CMUs", "Ghana CMU"): 1.0,
        ("CMUs", "Mali CMU"): 1.0,
        ("CMUs", "Nigeria CMU"): 1.0,
        ("CMUs", "Senegal CMU"): 1.0,
        ("Total", ""): 309.0,
    },
    "Ratio": {
        ("Front Offices", "AFWDE"): 8.5,
        ("Front Offices", "AFWVP"): 7.0,
        ("PGs", "EAW"): 7.1,
        ("PGs", "HAW"): 6.583333333333333,
        ("PGs", "IAW"): 8.2,
        ("PGs", "SAW"): 8.0,
        ("CMUs", "AFWRI"): 8.0,
        ("CMUs", "Cameroon CMU"): 1.0,
        ("CMUs", "Cote d'Ivoire CMU"): 1.0,
        ("CMUs", "Ghana CMU"): 1.0,
        ("CMUs", "Mali CMU"): 1.0,
        ("CMUs", "Nigeria CMU"): np.nan,
        ("CMUs", "Senegal CMU"): 1.0,
        ("Total", ""): 6.717391304347826,
    },
    "GC Total": {
        ("Front Offices", "AFWDE"): 3.0,
        ("Front Offices", "AFWVP"): 3.0,
        ("PGs", "EAW"): 19.0,
        ("PGs", "HAW"): 19.0,
        ("PGs", "IAW"): 19.0,
        ("PGs", "SAW"): 19.0,
        ("CMUs", "AFWRI"): 4.0,
        ("CMUs", "Cameroon CMU"): 4.0,
        ("CMUs", "Cote d'Ivoire CMU"): 4.0,
        ("CMUs", "Ghana CMU"): 4.0,
        ("CMUs", "Mali CMU"): 4.0,
        ("CMUs", "Nigeria CMU"): 4.0,
        ("CMUs", "Senegal CMU"): 4.0,
        ("Total", ""): 26.0,
    },
    "GD Total": {
        ("Front Offices", "AFWDE"): 2.0,
        ("Front Offices", "AFWVP"): 2.0,
        ("PGs", "EAW"): 21.0,
        ("PGs", "HAW"): 21.0,
        ("PGs", "IAW"): 21.0,
        ("PGs", "SAW"): 21.0,
        ("CMUs", "AFWRI"): 3.0,
        ("CMUs", "Cameroon CMU"): 3.0,
        ("CMUs", "Cote d'Ivoire CMU"): 3.0,
        ("CMUs", "Ghana CMU"): 3.0,
        ("CMUs", "Mali CMU"): 3.0,
        ("CMUs", "Nigeria CMU"): 3.0,
        ("CMUs", "Senegal CMU"): 3.0,
        ("Total", ""): 26.0,
    },
    "# ACS Total": {
        ("Front Offices", "AFWDE"): 3.0,
        ("Front Offices", "AFWVP"): 3.0,
        ("PGs", "EAW"): 37.0,
        ("PGs", "HAW"): 37.0,
        ("PGs", "IAW"): 37.0,
        ("PGs", "SAW"): 37.0,
        ("CMUs", "AFWRI"): 6.0,
        ("CMUs", "Cameroon CMU"): 6.0,
        ("CMUs", "Cote d'Ivoire CMU"): 6.0,
        ("CMUs", "Ghana CMU"): 6.0,
        ("CMUs", "Mali CMU"): 6.0,
        ("CMUs", "Nigeria CMU"): 6.0,
        ("CMUs", "Senegal CMU"): 6.0,
        ("Total", ""): 46.0,
    },
    "# GE+ Total": {
        ("Front Offices", "AFWDE"): 24.0,
        ("Front Offices", "AFWVP"): 24.0,
        ("PGs", "EAW"): 271.0,
        ("PGs", "HAW"): 271.0,
        ("PGs", "IAW"): 271.0,
        ("PGs", "SAW"): 271.0,
        ("CMUs", "AFWRI"): 14.0,
        ("CMUs", "Cameroon CMU"): 14.0,
        ("CMUs", "Cote d'Ivoire CMU"): 14.0,
        ("CMUs", "Ghana CMU"): 14.0,
        ("CMUs", "Mali CMU"): 14.0,
        ("CMUs", "Nigeria CMU"): 14.0,
        ("CMUs", "Senegal CMU"): 14.0,
        ("Total", ""): 309.0,
    },
    "Ratio Total": {
        ("Front Offices", "AFWDE"): 8.0,
        ("Front Offices", "AFWVP"): 8.0,
        ("PGs", "EAW"): 7.324324324324325,
        ("PGs", "HAW"): 7.324324324324325,
        ("PGs", "IAW"): 7.324324324324325,
        ("PGs", "SAW"): 7.324324324324325,
        ("CMUs", "AFWRI"): 2.3333333333333335,
        ("CMUs", "Cameroon CMU"): 2.3333333333333335,
        ("CMUs", "Cote d'Ivoire CMU"): 2.3333333333333335,
        ("CMUs", "Ghana CMU"): 2.3333333333333335,
        ("CMUs", "Mali CMU"): 2.3333333333333335,
        ("CMUs", "Nigeria CMU"): 2.3333333333333335,
        ("CMUs", "Senegal CMU"): 2.3333333333333335,
        ("Total", ""): 6.717391304347826,
    },
}
wbuse_pivot = pd.DataFrame(mypivot)
wbuse_pivot.index.names = ['cmu_dept_major', 'cmu_dept']

